#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	DVD menu support library
Summary(pl.UTF-8):	Biblioteka obsługi menu DVD
Name:		libdvdnav
Version:	5.0.3
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/libdvdnav/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	e9ea4de3bd8f204e61301d407d09f033
Patch0:		%{name}-includes_path.patch
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libdvdread-devel >= 5.0.2
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
Requires:	libdvdread >= 5.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD menu support library.

%description -l pl.UTF-8
Biblioteka obsługi menu DVD.

%package devel
Summary:	Development files for libdvdnav
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdvdread-devel >= 5.0.2

%description devel
Development files for libdvdnav.

%description devel -l pl.UTF-8
Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav.

%package static
Summary:	Static libdvdnav library
Summary(pl.UTF-8):	Biblioteka statyczna libdvdnav
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvdnav library.

%description static -l pl.UTF-8
Biblioteka statyczna libdvdnav.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libdvdnav.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdnav.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/{dvd_structures,library_layout}
%attr(755,root,root) %{_libdir}/libdvdnav.so
%{_libdir}/libdvdnav.la
%{_includedir}/dvdnav
%{_pkgconfigdir}/dvdnav.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdnav.a
%endif
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvdnav.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 9667f6a
- x32 rebuild
- release 2 (by relup.sh)

* Mon Feb 16 2015 Jakub Bogusz <qboosh@pld-linux.org> f379143
- updated to 5.0.3

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> eaedba6
- updated dependencies, disable silent-rules

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> c1ad761
- rm BR: xz (source is tar.bz2 again)

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 324e914
- rm link.patch and opt.patch; rel. 1

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> b890001
- rm doc/libdvdnav directory in install section

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> c57c37f
- updated 'files' section

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 559714c
- updated 'files' section (rm developement-policy.txt)

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> ca7c141
- disabled some patches

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> f6a85d0
- updated includes_path.patch

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> c372045
- no more dvdnavmini library

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> a2dfef6
- fixed source0 (URL and md5)

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 3e9d87b
- ver. 5.0.1

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 9422571
- updated to 4.2.1

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> e799fe4
- more specific URL

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> ebdb5e7
- added link.patch
- rel. 1

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> a6b58d9
- ver. 4.2.0 (NFY)

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 9ac0989
- release 2

* Mon Oct 27 2008 Karol Krenski <charles@pld-linux.org> 8026abb
- fix includes path

* Mon Oct 27 2008 Karol Krenski <charles@pld-linux.org> 3570bc3
- added -includes_path.patch

